local XingYaoGongMing = require("xingYaoMen.XingYaoGongMing")
local XingYaoPower = require("xingYaoMen.XingYaoPower")

function CG_XINGYAOMEN_GONGMING_QUERY(human)
	XingYaoGongMing.CG_XINGYAOMEN_GONGMING_QUERY(human)
end

function CG_XINGYAOMEN_GONGMING_OPEN_QUERY(human,msg)
	XingYaoGongMing.CG_XINGYAOMEN_GONGMING_OPEN_QUERY(human,msg.gridIndex)
end

function CG_XINGYAOMEN_GONGMING_OPEN_DO(human,msg)
	XingYaoGongMing.CG_XINGYAOMEN_GONGMING_OPEN_DO(human,msg.gridIndex)
end

function CG_XINGYAOMEN_GONGMING_PUTON(human,msg)
	XingYaoGongMing.CG_XINGYAOMEN_GONGMING_PUTON(human,msg.heroIndex,msg.gridIndex)
end

function CG_XINGYAOMEN_GONGMING_PUTOFF(human,msg)
	XingYaoGongMing.CG_XINGYAOMEN_GONGMING_PUTOFF(human,msg.gridIndex)
end

function CG_XINGYAOMEN_GONGMING_CDCLEAN(human,msg)
	XingYaoGongMing.CG_XINGYAOMEN_GONGMING_CDCLEAN(human,msg.gridIndex)
end

function CG_XINGYAOMEN_POWER_QUERY(human)
	XingYaoPower.CG_XINGYAOMEN_POWER_QUERY(human)
end

function CG_XINGYAOMEN_POWERLV_QUERY(human,msg)
	XingYaoPower.CG_XINGYAOMEN_POWERLV_QUERY(human,msg.camp)
end

function CG_XINGYAOMEN_POWERLV_UP(human,msg)
	XingYaoPower.CG_XINGYAOMEN_POWERLV_UP(human,msg.camp)
end

function CG_XINGYAOMEN_POWERQUALITY_QUERY(human,msg)
	XingYaoPower.CG_XINGYAOMEN_POWERQUALITY_QUERY(human,msg.camp)
end

function CG_XINGYAOMEN_POWERQUALITY_UP(human,msg)
	XingYaoPower.CG_XINGYAOMEN_POWERQUALITY_UP(human,msg.camp)
end

function CG_XINGYAOMEN_POWERQUALITY_RESET(human,msg)
	XingYaoPower.CG_XINGYAOMEN_POWERQUALITY_RESET(human,msg.camp)
end

function CG_XINGYAOMEN_POWERQUALITY_RESET_DO(human,msg)
	XingYaoPower.CG_XINGYAOMEN_POWERQUALITY_RESET_DO(human,msg.camp)
end

function CG_XINGYAOMEN_POWERQUALITY_ATTRS(human,msg)
	XingYaoPower.CG_XINGYAOMEN_POWERQUALITY_ATTRS(human,msg.camp)
end